<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Slicko
 */

get_header();
while ( have_posts() ) :
	the_post();

?>

<div class="col-md-12">
	<?php slicko_post_thumbnail(); ?>
</div>

<?php
?>

<div id="primary" class="<?php echo esc_attr( slicko_content_class() ); ?>">
	<main id="main" class="site-main">
	<?php
	

		get_template_part('template-parts/single/post');

		the_post_navigation(
			array(
				'prev_text' => '<span class="nav-subtitle">' . esc_html__('Previous post:', 'slicko') . '</span> <span class="nav-title">' . ' %title</span>',
				'next_text' => '<span class="nav-subtitle">' . esc_html__('Next post:', 'slicko') . '</span> <span class="nav-title">%title ' . '</span>',
			)
		);
		// If comments are open or we have at least one comment, load up the comment template.
		if ( comments_open() || get_comments_number() ) :
			comments_template();
		endif;

	
	?>

	</main><!-- #main -->
</div><!-- #primary -->

<?php
get_sidebar();
endwhile; // End of the loop.
get_footer();
